export const memberSpacesFragment = `
  fragment MemberSpaces on SpacePaged {
    data {
      id
      title
      cover
      coverBlurhash
      name
      members {
        data {
          user {
            id
            avatar
            avatarBlurhash
            avatarLabel
            avatarDefaultColor
          }
        }
        totalResults
      }
    }
    totalResults
  }
`

export const spacesByMemberIdQuery = `
  ${memberSpacesFragment}
  query SpacesByMember($memberId: UUID) {
    spaces(memberId: $memberId) {
      ...MemberSpaces
    }
  }
`
